{
  "orderchargedata": {
    "_parent": {
      "type": "orderreceivable"
    },
    "properties": {
      "id": {
        "type": "long"
      },
      "idReceivable": {
        "type": "long"
      },
      "idPaymentOrderGroup": {
        "type": "long"
      },
      "chargeCode": {
        "type": "text",
        "index": "analyzed",
        "analyzer": "codefull_analyzer",
        "fields": {
          "raw": {
            "type": "keyword"
          }
        }
      },
      "lockFlag": {
        "type": "integer"
      },
      "lockMan": {
        "type": "text",
        "index": "not_analyzed"
      },
      "financeCode": {
        "type": "text",
        "index": "analyzed",
        "analyzer": "codefull_analyzer",
        "fields": {
          "raw": {
            "type": "keyword"
          }
        }
      },
      "idClient": {
        "type": "long"
      },
      "clientName": {
        "type": "text",
        "analyzer": "index_ansj",
        "search_analyzer": "query_ansj",
        "fields": {
          "raw": {
            "type":  "keyword"
          },
          "number": {
            "type": "text",
            "index": "analyzed",
            "analyzer": "number_analyzer"
          },
          "letter": {
            "type": "text",
            "index": "analyzed",
            "analyzer": "letter_analyzer"
          }
        }
      },
      "orderName": {
        "type": "text",
        "analyzer": "index_ansj",
        "search_analyzer": "query_ansj",
        "fields": {
          "raw": {
            "type": "keyword"
          },
          "number": {
            "type": "text",
            "index": "analyzed",
            "analyzer": "number_analyzer"
          },
          "letter": {
            "type": "text",
            "index": "analyzed",
            "analyzer": "letter_analyzer"
          }
        }
      },
      "receivableMoney": {
        "type": "double"
      },
      "agioMoney": {
        "type": "double"
      },
      "agioMemo": {
        "type": "text",
        "index": "not_analyzed"
      },
      "idAccount": {
        "type": "long"
      },
      "accountName": {
        "type": "text",
        "analyzer": "index_ansj",
        "search_analyzer": "query_ansj",
        "fields": {
          "raw": {
            "type": "keyword"
          },
          "number": {
            "type": "text",
            "index": "analyzed",
            "analyzer": "number_analyzer"
          },
          "letter": {
            "type": "text",
            "index": "analyzed",
            "analyzer": "letter_analyzer"
          }
        }
      },
      "voucherCode": {
        "type": "text",
        "index": "not_analyzed"
      },
      "payMan": {
        "type": "text",
        "index": "not_analyzed",
        "fields": {
          "raw": {
            "type": "keyword"
          }
        }
      },
      "dataKind": {
        "type": "integer"
      },
      "chargeKind": {
        "type": "integer"
      },
      "chargeMan": {
        "type": "text",
        "index": "not_analyzed",
        "fields": {
          "raw": {
            "type": "keyword"
          }
        }
      },
      "orderCreateTimeLong": {
        "type": "long"
      },
      "orderCreateMan": {
        "type": "text",
        "index": "not_analyzed"
      },
      "voidFlag": {
        "type": "integer"
      },
      "billYear": {
        "type": "integer"
      },
      "idOrder": {
        "type": "long"
      },
      "receiveCode": {
        "type": "text",
        "index": "analyzed",
        "analyzer": "codefull_analyzer",
        "fields": {
          "raw": {
            "type": "keyword"
          }
        }
      },
      "chargeDateLong": {
        "type": "long"
      },
      "createBy": {
        "type": "long"
      },
      "createTimeLong": {
        "type": "long"
      },
      "updateBy": {
        "type": "long"
      },
      "updateTimeLong": {
        "type": "long"
      },
      "orderCode": {
        "type": "text",
        "index": "analyzed",
        "analyzer": "codefull_analyzer",
        "fields": {
          "raw": {
            "type": "keyword"
          }
        }
      },
      "chargeMemo": {
        "type": "text",
        "index": "not_analyzed"
      },
      "redState": {
        "type": "integer"
      },
      "clientCode": {
        "type": "text",
        "index": "analyzed",
        "analyzer": "codefull_analyzer",
        "fields": {
          "raw": {
            "type": "keyword"
          }
        }
      }
    }
  }
}
